cancel
Showing results for 
Search instead for 
Did you mean: 

Match HANA Version with Client version

0 Kudos

Hi, can anyone help me matching versions?
HANA:

CLIENT:

So my guess would be that Revision 120 matches SP12?

Accepted Solutions (1)

Accepted Solutions (1)

pfefferf
Active Contributor

Hi Justin,

as you are not really talking about HANA Studio (like the other answer here assumes), but about the HANA client (package), you can check note 1906576 which describes the compatibility between HANA client packages and the HANA server versions.

Extract from note:

  • SAP HANA 1.0 clients (ODBC, JDBC, SQLDBC) are able to connect to any version of the SAP HANA single database container system.
  • SAP HANA 1.0 clients (ODBC, JDBC, SQLDBC) are able to connect to the SAP HANA Multitenant Database Container (MDC) systems with SPS 9 or higher.
  • SAP HANA 2.0 clients only support connections to SAP HANA 2.0 servers or SAP HANA 1.0 severs with SPS 10 or higher.

So in your case you can take the latest revision (120) of HANA Client 1.0.

Regards,
Florian

0 Kudos

Thanks, that worked!

Answers (1)

Answers (1)

SergioG_TX
Active Contributor
0 Kudos

Tthe HANA 1.00.122 means that the server is on HANA1 SP12. This version does not need to match the HANA client per se. since you are showing SP12 for your server, try to get the latest revision shown here 112. ideally, you should start using the SAP Web IDE instead of HANA studio. Just a little bit of further detail... HANA studio is nothing else than Eclipse with a few additional plug ins.